Commits

Rodrigo Bistolfi  committed 019ec37

changed tree for at, removed shadow and pam

  • Participants
  • Parent commits 8fff370

Comments (0)

Files changed (26)

File Linux-PAM/1.1.5/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-         |-----handy-ruler------------------------------------------------------|
-Linux-PAM: Linux-PAM (Pluggable Authentication Modules)
-Linux-PAM:
-Linux-PAM: The Linux-PAM package contains Pluggable Authentication Modules.
-Linux-PAM: 
-Linux-PAM: 
-Linux-PAM: 
-Linux-PAM:
-Linux-PAM:
-Linux-PAM: License: GPL
-Linux-PAM: Authors: https://fedorahosted.org/linux-pam
-Linux-PAM: Website: https://fedorahosted.org/linux-pam
-
-
-
-
-#----------------------------------------
-BUILDDATE: Fri Dec 23 20:49:36 ART 2011
-PACKAGER:  rbistolfi
-HOST:      Linux 2.6.38.4 i686
-DISTRO:    Vector Linux 7.0 STD RC 1 built on APR-29-2011
-CFLAGS:    -O2 -march=i586 -mtune=i686 
-LDFLAGS:    
-CONFIGURE:   $ ./configure --prefix=/usr --libdir=/usr/lib --infodir=/usr/info --sysconfdir=/etc --localstatedir=/var --mandir=/usr/man --with-included-gettext --disable-debug --program-prefix= --program-suffix= --docdir=/usr/doc/Linux-PAM-1.1.5 --sbindir=/lib/security --enable-read-both-confs --build=i486-slackware-linux
-

File Linux-PAM/1.1.5/slack-required

-coreutils >= 8.11 | jre >= 6u25 | module-init-tools >= 3.12 | sendmail >= 8.14.4 | vasm >= 7.0 | vlgui >= 6.0
-db44 >= 4.4.20
-glibc-solibs >= 2.13
-scripts >= 1.0.1 | xauth >= 1.0.5

File Linux-PAM/1.1.5/src/Linux-PAM.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="Linux-PAM"            #Enter package Name!
-VERSION=${VERSION:-"1.1.5"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"rbistolfi"}   #Enter your Name!
-LINK=${LINK:-"https://fedorahosted.org/releases/l/i/linux-pam/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
-
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-#----------------------------------------------------------------------------
-
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i486-slackware-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-slackware-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for SRC in $(echo $LINK);do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-        wget --no-check-certificate -c $SRC
-fi
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
-#this moves whatever was extracted to the std dirname we are expecting
-mv * $NAME-$VERSION &> /dev/null 2>&1
-mkdir -p $PKG
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-  patch -p1 <$i
-  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
-  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
-done
-#-----------------------------------------------------
- 
- 
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-
-
-#CONFIGURE & MAKE
-#----------------------------------------------------------------------
-# If you are building a KDE-related app, then change the following
-# arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
-#
-# Making these changes will ensure that your package will build in the
-# correct path and that it will work seamlessly within the KDE environment.
-#
-#-----------------------------------------------------------------------
-
-echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
-  --docdir=/usr/doc/Linux-PAM-1.1.5 \
-  --sbindir=/lib/security \
-  --enable-read-both-confs \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit 1
-
-
-#######################################################################
-#Miscellenious tweaks and things outside a normal ./configure go here #
-#######################################################################
-
-chmod -v 4755 $PKG/lib/security/unix_chkpwd &&
-mkdir -p $PKG/sbin
-mv -v $PKG/lib/security/pam_tally $PKG/sbin/ &&
-mv -v $PKG/lib/libpam{,c,_misc}.la $PKG/usr/lib &&
-sed -i 's| /lib| /usr/lib|' $PKG/usr/lib/libpam_misc.la &&
-
-if [ -L $PKG/lib/libpam.so ]; then
-    for LINK in libpam{,c,_misc}.so; do
-        ln -v -sf $PKG/lib/$(readlink $PKG/lib/${LINK}) $PKG/usr/lib/${LINK} &&
-        rm -v $PKG/lib/${LINK}
-    done
-fi
-
-cat >> $PKG/etc/pam.d/other <<EOF
-auth            required        pam_unix.so     nullok
-account         required        pam_unix.so
-session         required        pam_unix.so
-password        required        pam_unix.so     nullok
-EOF
-
-cat >> $PKG/etc/pam.conf <<EOF
-other           auth            required        pam_unix.so     nullok
-other           account         required        pam_unix.so
-other           session         required        pam_unix.so
-other           password        required        pam_unix.so     nullok
-EOF
-
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
-$PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-
-#----------------------------------------------------------------------
-
-if [ -d $PKG/usr/share/man ];then
-mkdir -p $PKG/usr/man
-mv $PKG/usr/share/man/* $PKG/usr/man
-rm -rf $PKG/usr/share/man
-fi
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-if [ -d $PKG/usr/share/info ];then
-mkdir -p $PKG/usr/info
-mv $PKG/usr/share/info/* $PKG/usr/info
-rm -rf $PKG/usr/share/info
-fi 
-find $PKG/usr/info -type f -exec gzip -9 {} \;
-
-mkdir -p $PKG/install
-if [ -d $PKG/usr/info ];then
-cat >> $PKG/install/doinst.sh << EOF
-CWD=\$(pwd)
-cd usr/info
-if [ -f dir ];then
-    rm dir
-fi
-if [ -f dir.gz ];then
-    rm dir.gz
-fi
-for i in *.info.gz;do
-    install-info \$i dir
-done
-cd \$CWD
-EOF
-fi
-
-# Add schemas install to the doinst.sh if schemas are found.
-if [ -d $PKG/etc/gconf/schemas ];then
-# Make sure we have gconftool installed
-echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
-( cd $PKG/etc/gconf/schemas
-for schema in *.schemas; do
- # Install schemas
- echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
-   usr/bin/gconftool-2 --makefile-install-rule \
-   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
-   >> $PKG/install/doinst.sh
-done;
-)
-# Finish off gconf block
-echo "fi" >> $PKG/install/doinst.sh
-fi
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (Pluggable Authentication Modules)
-$NAME:
-$NAME: The Linux-PAM package contains Pluggable Authentication Modules.
-$NAME: 
-$NAME: 
-$NAME: 
-$NAME:
-$NAME:
-$NAME: License: GPL
-$NAME: Authors: https://fedorahosted.org/linux-pam
-$NAME: Website: https://fedorahosted.org/linux-pam
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File at/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
+# leave one space after the ':'.
+
+  |-----handy-ruler------------------------------------------------------|
+at: at (delayed command execution)
+at:
+at: at and batch read shell commands from standard input (or a specified
+at: file) storing them as a job to be scheduled for execution at a later
+at: time.
+at:
+at: The 'at' command was written by David Parsons and Thomas Koenig.
+at:
+at:
+at:
+at:
+
+
+
+#----------------------------------------
+BUILDDATE: Thu Dec 22 23:48:41 ART 2011
+PACKAGER:  rbistolfi
+HOST:      Linux 2.6.38.4 i686
+DISTRO:    Vector Linux 7.0 STD RC 1 built on APR-29-2011
+CFLAGS:    -O2 -march=i586 -mtune=i686 
+LDFLAGS:    
+CONFIGURE:   $ ./configure --prefix=/usr --libdir=/usr/lib --infodir=/usr/info --sysconfdir=/etc --localstatedir=/var --mandir=/usr/man --with-included-gettext --disable-debug --program-prefix= --program-suffix= --build=i486-slackware-linux
+

File at/slack-required

+glibc-solibs >= 2.13
+#!/bin/sh
+# description: start application at scheduled time
+#
+# (c) 2004, Eko M. Budi, for Vector Linux
+# Released under GNU GPL
+
+# Include the functions declared in the /etc/rc.d/functions file
+source /etc/rc.d/functions
+
+# path to binary
+ROOT="/usr/sbin"
+# name of binary to run
+APP="atd"
+#runtime options
+OPT="-b 15 -l1"
+#server name & description
+SERVER="AT daemon"
+
+case "$1" in
+        start)
+                echon "Starting $SERVER............"
+                loadproc $ROOT/$APP $OPT
+                ;;
+
+        stop)
+                echon "Stopping $SERVER............"
+                killproc $ROOT/$APP
+                ;;
+
+        reload)
+                echon "Reloading $SERVER..........."
+                reloadproc $ROOT/$APP
+                ;;
+        restart)
+                $0 stop
+                /bin/sleep 1
+                $0 start
+                ;;
+        status)
+                statusproc $ROOT/$APP
+                ;;
+        *)
+                echo "Usage: $0 {start|stop|reload|restart|status}"
+                exit 1
+        ;;
+esac
+
+# End /etc/init.d/

File at/src/at.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="at"            #Enter package Name!
+VERSION=${VERSION:-"3.1.12"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"rbistolfi"}   #Enter your Name!
+LINK=${LINK:-"ftp://ftp.debian.org/debian/pool/main/a/$NAME/${NAME}_${VERSION}.orig.tar.gz"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"2"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+#----------------------------------------------------------------------------
+
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+if [ ! -f $CWD/$NAME-$VERSION.tar.* ]
+then
+	wget $LINK
+	mv ${NAME}_${VERSION}.orig.tar.gz $NAME-$VERSION.tar.gz
+fi
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+./configure --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --with-included-gettext \
+  --disable-debug \
+  --program-prefix="" \
+  --program-suffix="" \
+  --build=$CONFIGURE_TRIPLET \
+  $CONFIG_OPTIONS || exit 1
+
+make || exit 1
+make install IROOT=$PKG || exit 1
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+mkdir -p /var/spool/at{jobs,spool}
+chmod 770 /var/spool/at{jobs,spool}
+chown daemon:daemon /var/spool/at{jobs,spool}
+
+mv $PKG/etc/at.deny $PKG/etc/at.deny.new
+chown root:root $PKG/var $PKG/var/spool
+
+install -m 755 -D $CWD/at $PKG/etc/rc.d/init.d/at
+
+rm -rf $PKG/usr/doc/at
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a iCOPYING* ChangeLog Copyright Problems README* timespec \
+$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME ()
+$NAME:
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VER-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VER-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File at/src/doinst.sh.gz

Binary file added.

File at/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in.  You must make
+# exactly 11 lines for the formatting to be correct.  It's also customary to
+# leave one space after the ':'.
+
+  |-----handy-ruler------------------------------------------------------|
+at: at (delayed command execution)
+at:
+at: at and batch read shell commands from standard input (or a specified
+at: file) storing them as a job to be scheduled for execution at a later
+at: time.
+at:
+at: The 'at' command was written by David Parsons and Thomas Koenig.
+at:
+at:
+at:
+at:

File shadow-pam/4.1.4.3/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-      |-----handy-ruler------------------------------------------------------|
-shadow: shadow (shadow password suite)
-shadow:
-shadow: This set of login related programs utilizes an alternate, non-readable
-shadow: file to contain the actual encrypted passwords.  This is presumed to 
-shadow: increase system security by increasing the difficulty with which 
-shadow: system crackers obtain encrypted passwords.  It was written by 
-shadow: Julianne Frances Haugh and the Linux port is maintained by Tomasz
-shadow: Kloczko.
-shadow:
-shadow: This package provides 'login', which is needed to log into the system.
-shadow:
-
-
-
-#----------------------------------------
-BUILDDATE: Fri Dec 23 22:11:58 ART 2011
-PACKAGER:  root
-HOST:      Linux 2.6.38.4 i686
-DISTRO:    Vector Linux 7.0 STD RC 1 built on APR-29-2011
-CFLAGS:    -O2 -march=i586 -mtune=i686 
-LDFLAGS:    
-CONFIGURE: 
-

File shadow-pam/4.1.4.3/slack-required

-Linux-PAM >= 1.1.5
-glibc-solibs >= 2.13

File shadow-pam/4.1.4.3/src/adduser

-#!/bin/bash
-#
-# Copyright 1995  Hrvoje Dogan, Croatia.
-# Copyright 2002-2004, 2008, 2009, 2010  Stuart Winter, Surrey, England, UK.
-# Copyright 2004, 2008-2010  Slackware Linux, Inc., Concord, CA, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-#
-##########################################################################
-# Program: /usr/sbin/adduser
-# Purpose: Interactive front end to /usr/sbin/useradd for Slackware Linux
-# Author : Stuart Winter <mozes@slackware.com>
-#          Based on the original Slackware adduser by Hrvoje Dogan
-#          with modifications by Patrick Volkerding
-# Version: 1.13
-##########################################################################
-# Usage..: adduser [<new_user_name>]
-##########################################################################
-# History #
-###########
-# v1.13 - 13/01/10
-#       * Fixed bug that removed underscore characters from UNIX group names.
-#         Thanks to mRgOBLIN for the report and Jim Hawkins for the fix. <sw>
-# v1.12 - 21/07/09
-#       * Adjusted the search of /etc/passwd to exclude the NIS inclusion
-#        string.  Thanks to Dominik L. Borkowski.
-# v1.11 - 04/06/09
-#       * Add power and netdev to the suggested group list
-# v1.10 - 24/03/08
-#       * To facilitate use of the automatic mounting features of HAL,
-#         allow the admin to easily add users to the default groups:
-#         audio,cdrom,video,plugdev,floppy.
-#         The default is not to add new users to these groups.
-#         And by the way, this script is "useradd from Slackware" not
-#         "superadduser from Gentoo" ;-)
-# v1.09 - 07/06/04 
-#       * Added standard Slackware script licence to the head of this file.
-# v1.08 - 25/04/04
-#       * Disallow user names that begin with a numeric because useradd 
-#         (from shadow v4.03) does not allow them. <sw>
-# v1.07 - 07/03/03
-#       * When supplying a null string for the uid (meaning 'Choose next available'), 
-#         if there were file names in the range 'a-z' in the pwd then the 
-#         egrep command considered these files rather than the null string. 
-#         The egrep expression is now in quotes.  
-#         Reported & fixed by Vadim O. Ustiansky <sw>
-# v1.06 - 31/03/03
-#       * Ask to chown user.group the home directory if it already exists.
-#         This helps reduce later confusion when adding users whose home dir
-#         already exists (mounted partition for example) and is owned
-#         by a user other than the user to which the directory is being
-#         assigned as home.  Default is not to chown.
-#         Brought to my attention by mRgOBLIN. <sw>
-# v1.05 - 04/01/03
-#       * Advise & prevent users from creating logins with '.' characters
-#         in the user name. <sw>
-#       * Made pending account creation info look neater <sw>
-# v1.04 - 09/06/02
-#       * Catered for shadow-4.0.3's 'useradd' binary that no longer
-#         will let you create a user that has any uppercase chars in it
-#         This was reported on the userlocal.org forums
-#         by 'xcp' - thanks. <sw,pjv>
-# v1.03 - 20/05/02
-#       * Support 'broken' (null lines in) /etc/passwd and 
-#         /etc/group files <sw>       
-#       * For recycling UIDs (default still 'off'), we now look in 
-#         /etc/login.defs for the UID_MIN value and use it
-#         If not found then default to 1000 <sw>
-# v1.02 - 10/04/02
-#       * Fix user-specified UID bug. <pjv>
-# v1.01 - 23/03/02
-#       * Match Slackware indenting style, simplify. <pjv>
-# v1.00 - 22/03/02
-#       * Created
-#######################################################################
-
-# Path to files
-pfile=/etc/passwd
-gfile=/etc/group
-sfile=/etc/shells
-
-# Paths to binaries
-useradd=/usr/sbin/useradd
-chfn=/usr/bin/chfn
-passwd=/usr/bin/passwd
-chmod=/bin/chmod
-
-# Defaults
-defhome=/home
-defshell=/bin/bash
-defchmod=711 # home dir permissions - may be preferable to use 701, however.
-defgroup=users 
-AGID="audio cdrom floppy plugdev video power netdev" # additional groups for desktop users
-
-# Determine what the minimum UID is (for UID recycling)
-# (we ignore it if it's not at the beginning of the line (i.e. commented out with #))
-export recycleUIDMIN="$(grep ^UID_MIN /etc/login.defs | awk '{print $2}' 2>/dev/null)"
-# If we couldn't find it, set it to the default of 1000
-if [ -z "$recycleUIDMIN" ]; then
-   export recycleUIDMIN=1000  # this is the default from Slackware's /etc/login.defs
-fi
-
-
-# This setting enables the 'recycling' of older unused UIDs.
-# When you userdel a user, it removes it from passwd and shadow but it will
-# never get used again unless you specify it expliticly -- useradd (appears to) just
-# look at the last line in passwd and increment the uid.  I like the idea of 
-# recycling uids but you may have very good reasons not to (old forgotten
-# confidential files still on the system could then be owned by this new user).
-# We'll set this to no because this is what the original adduser shell script
-# did and it's what users expect.
-recycleuids=no
-
-# Function to read keyboard input.
-# bash1 is broken (even ash will take read -ep!), so we work around
-# it (even though bash1 is no longer supported on Slackware).
-function get_input() { 
-  local output
-  if [ "`echo $BASH_VERSION | cut -b1`" = "1" ]; then
-    echo -n "${1} " >&2 # fudge for use with bash v1
-    read output
-  else # this should work with any other /bin/sh
-    read -ep "${1} " output
-  fi
-  echo $output
-}
-
-# Function to display the account info
-function display () {
-  local goose
-  goose="$(echo $2 | cut -d ' ' -f 2-)"  # lop off the prefixed argument useradd needs
-  echo -n "$1 "
-  # If it's null then display the 'other' information
-  if [ -z "$goose" -a ! -z "$3" ]; then 
-    echo "$3" 
-  else 
-    echo "$goose" 
-  fi
-}
-
-# Function to check whether groups exist in the /etc/group file
-function check_group () {
-  local got_error group
-  if [ ! -z "$@" ]; then  
-  for group in $@ ; do
-    local uid_not_named="" uid_not_num=""
-    grep -v "$^" $gfile | awk -F: '{print $1}' | grep "^${group}$" >/dev/null 2>&1 || uid_not_named=yes  
-    grep -v "$^" $gfile | awk -F: '{print $3}' | grep "^${group}$" >/dev/null 2>&1 || uid_not_num=yes
-    if [ ! -z "$uid_not_named" -a ! -z "$uid_not_num" ]; then
-      echo "- Group '$group' does not exist"
-      got_error=yes
-    fi
-  done
-  fi
-  # Return exit code of 1 if at least one of the groups didn't exist
-  if [ ! -z "$got_error" ]; then
-    return 1
-  fi
-}   
-
-#: Read the login name for the new user :#
-#
-# Remember that most Mail Transfer Agents are case independant, so having
-# 'uSer' and 'user' may cause confusion/things to break.  Because of this,
-# useradd from shadow-4.0.3 no longer accepts usernames containing uppercase,
-# and we must reject them, too.
-
-# Set the login variable to the command line param
-echo
-LOGIN="$1"
-needinput=yes
-while [ ! -z $needinput ]; do
-  if [ -z "$LOGIN" ]; then 
-    while [ -z "$LOGIN" ]; do LOGIN="$(get_input "Login name for new user []:")" ; done
-  fi
-  grep "^${LOGIN}:" $pfile >/dev/null 2>&1  # ensure it's not already used
-  if [ $? -eq 0 ]; then
-    echo "- User '$LOGIN' already exists; please choose another"
-    unset LOGIN
-  elif [ ! -z "$( echo $LOGIN | grep "^[0-9]" )" ]; then
-    echo "- User names cannot begin with a number; please choose another"
-    unset LOGIN
-  elif [ ! "$LOGIN" = "`echo $LOGIN | tr A-Z a-z`" ]; then # useradd does not allow uppercase
-    echo "- User '$LOGIN' contains illegal characters (uppercase); please choose another"
-    unset LOGIN
-  elif [ ! -z "$( echo $LOGIN | grep '\.' )" ]; then
-    echo "- User '$LOGIN' contains illegal characters (period/dot); please choose another"
-    unset LOGIN
-  else
-    unset needinput
-  fi
-done
-
-# Display the user name passed from the shell if it hasn't changed
-if [ "$1" = "$LOGIN" ]; then
-  echo "Login name for new user: $LOGIN"
-fi
-
-#: Get the UID for the user & ensure it's not already in use :#
-#
-# Whilst we _can_ allow users with identical UIDs, it's not a 'good thing' because
-# when you change password for the uid, it finds the first match in /etc/passwd 
-# which isn't necessarily the correct user
-#
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  _UID="$(get_input "User ID ('UID') [ defaults to next available ]:")"
-  egrep -v "^$|^\+" $pfile | awk -F: '{print $3}' | grep "^${_UID}$" >/dev/null 2>&1
-  if [ $? -eq 0 ]; then
-    echo "- That UID is already in use; please choose another"
-  elif [ ! -z "$(echo $_UID | egrep '[A-Za-z]')" ]; then
-    echo "- UIDs are numerics only"         
-  else
-    unset needinput
-  fi
-done
-# If we were given a UID, then syntax up the variable to pass to useradd
-if [ ! -z "$_UID" ]; then 
-  U_ID="-u ${_UID}"
-else
-  # Will we be recycling UIDs?
-  if [ "$recycleuids" = "yes" ]; then
-    U_ID="-u $(awk -F: '{uid[$3]=1} END { for (i=ENVIRON["recycleUIDMIN"];i in uid;i++);print i}' $pfile)"
-  fi   
-fi
-
-#: Get the initial group for the user & ensure it exists :#
-#
-# We check /etc/group for both the text version and the group ID number 
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  GID="$(get_input "Initial group [ ${defgroup} ]:")"
-  check_group "$GID"
-  if [ $? -gt 0 ]; then
-    echo "- Please choose another"
-  else
-    unset needinput 
-  fi
-done
-# Syntax the variable ready for useradd
-if [ -z "$GID" ]; then
-  GID="-g ${defgroup}"
-else
-  GID="-g ${GID}"
-fi
-
-#: Get additional groups for the user :#
-#
-echo "Additional UNIX groups:"
-echo
-echo "Users can belong to additional UNIX groups on the system."
-echo "For local users using graphical desktop login managers such"
-echo "as XDM/KDM, users may need to be members of additional groups"
-echo "to access the full functionality of removable media devices."
-echo
-echo "* Security implications *"
-echo "Please be aware that by adding users to additional groups may"
-echo "potentially give access to the removable media of other users."
-echo
-echo "If you are creating a new user for remote shell access only,"
-echo "users do not need to belong to any additional groups as standard,"
-echo "so you may press ENTER at the next prompt."
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  history -c
-  history -s "$AGID"
-  echo "Press ENTER to continue without adding any additional groups"
-  echo "Or press the UP arrow key to add/select/edit additional groups"
-  AGID="$(get_input ": " | sed 's/[^A-Za-z0-9 _]//g;s/  */ /g;s/^ $//g' )"
-  if [ ! -z "$AGID" ]; then
-    check_group "$AGID" # check all groups at once (treated as N # of params)
-    if [ $? -gt 0 ]; then
-      echo "- Please re-enter the group(s)"
-      echo
-    else
-      unset needinput # we found all groups specified
-      AGID="-G $(echo $AGID | tr ' ' ,)" # useradd takes comma delimited groups
-    fi
-  else
-    unset needinput # we don't *have* to have additional groups
-  fi
-done
-
-#: Get the new user's home dir :#
-#       
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  HME="$(get_input "Home directory [ ${defhome}/${LOGIN} ]")"
-  if [ -z "$HME" ]; then
-    HME="${defhome}/${LOGIN}"
-  fi 
-  # Warn the user if the home dir already exists
-  if [ -d "$HME" ]; then
-    echo "- Warning: '$HME' already exists !"
-    getyn="$(get_input "  Do you wish to change the home directory path ? (Y/n) ")"
-    if [ "$(echo $getyn | grep -i "n")" ]; then
-      unset needinput
-      # You're most likely going to only do this if you have the dir *mounted* for this user's $HOME
-      getyn="$(get_input "  Do you want to chown $LOGIN.$( echo $GID | awk '{print $2}') $HME ? (y/N) ")"
-      if [ "$(echo $getyn | grep -i "y")" ]; then
-         CHOWNHOMEDIR=$HME # set this to the home directory
-      fi
-    fi
-  else
-    unset needinput
-  fi
-done           
-HME="-d ${HME}"  
-    
-#: Get the new user's shell :#
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  unset got_error
-  SHL="$(get_input "Shell [ ${defshell} ]")"
-  if [ -z "$SHL" ]; then
-    SHL="${defshell}"
-  fi 
-  # Warn the user if the shell doesn't exist in /etc/shells or as a file
-  if [ -z "$(grep "^${SHL}$" $sfile)" ]; then
-    echo "- Warning: ${SHL} is not in ${sfile} (potential problem using FTP)"
-    got_error=yes
-  fi
-  if [ ! -f "$SHL" ]; then
-    echo "- Warning: ${SHL} does not exist as a file"
-    got_error=yes
-  fi
-  if [ ! -z "$got_error" ]; then
-    getyn="$(get_input "  Do you wish to change the shell ? (Y/n) ")"
-    if [ "$(echo $getyn | grep -i "n")" ]; then
-      unset needinput
-    fi
-  else
-    unset needinput
-  fi
-done           
-SHL="-s ${SHL}"
-
-#: Get the expiry date :#
-echo
-needinput=yes
-while [ ! -z "$needinput" ]; do
-  EXP="$(get_input "Expiry date (YYYY-MM-DD) []:")"
-  if [ ! -z "$EXP" ]; then
-    # Check to see whether the expiry date is in the valid format
-    if [ -z "$(echo "$EXP" | grep "^[[:digit:]]\{4\}[-]\?[[:digit:]]\{2\}[-]\?[[:digit:]]\{2\}$")" ]; then
-      echo "- That is not a valid expiration date"
-    else
-      unset needinput 
-      EXP="-e ${EXP}" 
-    fi
-  else
-    unset needinput
-  fi
-done
-
-# Display the info about the new impending account
-echo
-echo "New account will be created as follows:"
-echo
-echo "---------------------------------------"
-display "Login name.......: " "$LOGIN"
-display "UID..............: " "$_UID" "[ Next available ]"
-display "Initial group....: " "$GID"
-display "Additional groups: " "$AGID" "[ None ]"
-display "Home directory...: " "$HME"
-display "Shell............: " "$SHL"
-display "Expiry date......: " "$EXP" "[ Never ]"
-echo
-
-echo "This is it... if you want to bail out, hit Control-C.  Otherwise, press"
-echo "ENTER to go ahead and make the account."
-read junk
-
-echo
-echo "Creating new account..."
-echo
-echo
-
-# Add the account to the system
-CMD="$useradd "$HME" -m "$EXP" "$U_ID" "$GID" "$AGID" "$SHL" "$LOGIN""
-$CMD
-
-if [ $? -gt 0 ]; then
-  echo "- Error running useradd command -- account not created!"
-  echo "(cmd: $CMD)"
-  exit 1
-fi
-
-# chown the home dir ?  We can only do this once the useradd has
-# completed otherwise the user name doesn't exist.
-if [ ! -z "${CHOWNHOMEDIR}" ]; then
-  chown "$LOGIN"."$( echo $GID | awk '{print $2}')" "${CHOWNHOMEDIR}"
-fi
-
-# Set the finger information
-$chfn "$LOGIN"
-if [ $? -gt 0 ]; then
-  echo "- Warning: an error occurred while setting finger information"
-fi
-
-# Set a password
-$passwd "$LOGIN"
-if [ $? -gt 0 ]; then
-  echo "* WARNING: An error occured while setting the password for"
-  echo "           this account.  Please manually investigate this *"
-  exit 1
-fi
-
-# If it was created (it should have been!), set the permissions for that user's dir 
-HME="$(echo "$HME" | awk '{print $2}')"  # We have to remove the -g prefix
-if [ -d "$HME" ]; then
-  $chmod $defchmod "$HME"
-fi
-
-echo
-echo
-echo "Account setup complete."
-exit 0

File shadow-pam/4.1.4.3/src/doinst.sh.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/login.defs.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3054.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3055.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3060.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3062.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3096.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3160.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3194.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/r3299.diff.gz

Binary file removed.

File shadow-pam/4.1.4.3/src/patches/su_error_locale.patch

-diff -urN shadow-4.1.4.2/libmisc/env.c shadow-4.1.4.2.new/libmisc/env.c
---- shadow-4.1.4.2/libmisc/env.c	2009-04-27 23:07:56.000000000 +0300
-+++ shadow-4.1.4.2.new/libmisc/env.c	2010-06-22 12:32:07.000000000 +0300
-@@ -251,7 +251,7 @@
- 			if (strncmp (*cur, *bad, strlen (*bad)) != 0) {
- 				continue;
- 			}
--			if (strchr (*cur, '/') != NULL) {
-+			if (strchr (*cur, '/') == NULL) {
- 				continue;	/* OK */
- 			}
- 			for (move = cur; NULL != *move; move++) {

File shadow-pam/4.1.4.3/src/shadow-pam.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = Pat
-
-# Copyright 2005-2011  Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-
-NAME="shadow"            #Enter package Name!
-PKGNAME="shadow-pam"
-VERSION=${VERSION:-"4.1.4.3"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"root"}   #Enter your Name!
-LINK=${LINK:-"http://pkg-$NAME.alioth.debian.org/releases/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
-
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-#----------------------------------------------------------------------------
-
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i486-slackware-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-slackware-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for SRC in $(echo $LINK);do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-        wget --no-check-certificate -c $SRC
-fi
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
-#this moves whatever was extracted to the std dirname we are expecting
-mv * $NAME-$VERSION &> /dev/null 2>&1
-mkdir -p $PKG
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
-#-----------------------------------------------------
-# Apply some patches taken from the svn trunk that
-# fix some of the more serious bugs in 4.1.4.3:
-for patch in $CWD/patches/*.diff.gz ; do
-    zcat $patch | patch -p0 --verbose || exit 1
-done
-patch -p1 < $CWD/patches/su_error_locale.patch || exit 1
-#-----------------------------------------------------
- 
-# Re-run automake because of r3299 patch to man/ru/Makefile.am:
-automake -f
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-
-
-#CONFIGURE & MAKE
-#----------------------------------------------------------------------
-# If you are building a KDE-related app, then change the following
-# arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
-#
-# Making these changes will ensure that your package will build in the
-# correct path and that it will work seamlessly within the KDE environment.
-#
-#-----------------------------------------------------------------------
-
-echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
-  --docdir=/usr/doc/shadow-$VERSION \
-  --without-libcrack \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit 1
-
-
-#######################################################################
-#Miscellenious tweaks and things outside a normal ./configure go here #
-#######################################################################
-
-# Fix user group = 100:
-zcat $CWD/useradd.gz > $PKG/etc/default/useradd
-
-# /bin/groups is provided by coreutils.
-rm -f $PKG/bin/groups
-find $PKG -name groups.1 -exec rm {} \;
-
-# Install a login.defs with unsurprising defaults:
-rm -f $PKG/etc/login.defs
-zcat $CWD/login.defs.gz > $PKG/etc/login.defs.new
-
-# Add pam stuff
-for FUNCTION in LASTLOG_ENAB MAIL_CHECK_ENAB \
-	PORTTIME_CHECKS_ENAB CONSOLE \
-	MOTD_FILE NOLOGINS_FILE PASS_MIN_LEN \
-	SU_WHEEL_ONLY MD5_CRYPT_ENAB \
-	CONSOLE_GROUPS ENVIRON_FILE \
-	ULIMIT ENV_TZ ENV_HZ ENV_SUPATH \
-	ENV_PATH QMAIL_DIR MAIL_DIR MAIL_FILE \
-	CHFN_AUTH FAILLOG_ENAB QUOTAS_ENAB FTMP_FILE \
-	OBSCURE_CHECKS_ENAB CRACKLIB_DICTPATH \
-	PASS_CHANGE_TRIES PASS_ALWAYS_WARN ISSUE_FILE
-do
-	sed -i "s/^$FUNCTION/# &/" $PKG/etc/login.defs.new
-done
-
-mv $PKG/etc/login.access $PKG/etc/login.access.new
-
-# I don't think this works well enough to recommend it.
-#mv $PKG/etc/limits $PKG/etc/limits.new
-rm -f $PKG/etc/limits
-
-# Add the friendly 'adduser' script:
-cat $CWD/adduser > $PKG/usr/sbin/adduser
-chmod 0755 $PKG/usr/sbin/adduser
-
-# Add sulogin to the package:
-cp -a src/sulogin $PKG/sbin
-( cd $PKG/bin ; ln -s ../sbin/sulogin )
-
-# Add the empty faillog log file:
-mkdir -p $PKG/var/log
-touch $PKG/var/log/faillog.new
-
-# Put some stuff back in "old" locations and make symlinks for compat
-( cd $PKG/usr/bin
-  mv faillog ../sbin
-  mv lastlog ../sbin
-  ln -s ../sbin/faillog
-  ln -s ../sbin/lastlog
-)
-
-# Use 4711 rather than 4755 permissions where setuid root is required:
-find $PKG -type f -perm 4755 -exec chmod 4711 "{}" \;
-
-# Pam config files
-cat > $PKG/etc/pam.d/system-account << "EOF"
-# Begin /etc/pam.d/system-account
-
-account   required    pam_unix.so
-
-# End /etc/pam.d/system-account
-EOF
-
-cat > $PKG/etc/pam.d/system-auth << "EOF"
-# Begin /etc/pam.d/system-auth
-
-auth      required    pam_unix.so
-
-# End /etc/pam.d/system-auth
-EOF
-
-# we dont have cracklib yet
-cat > $PKG/etc/pam.d/system-password << "EOF"
-# Begin /etc/pam.d/system-password
-
-# check new passwords for strength (man pam_cracklib)
-#password  required    pam_cracklib.so   type=Linux retry=3 difok=5 \
-#                                        difignore=23 minlen=9 dcredit=1 \
-#                                        ucredit=1 lcredit=1 ocredit=1 \
-#                                        dictpath=/lib/cracklib/pw_dict
-# use sha512 hash for encryption, use shadow, and use the
-# authentication token (chosen password) set by pam_cracklib
-# above (or any previous modules)
-password  required    pam_unix.so       sha512 shadow #use_authtok
-
-# End /etc/pam.d/system-password
-EOF
-
-cat > $PKG/etc/pam.d/system-session << "EOF"
-# Begin /etc/pam.d/system-session
-
-session   required    pam_unix.so
-
-# End /etc/pam.d/system-session
-EOF
-
-cat > $PKG/etc/pam.d/login << "EOF"
-# Begin /etc/pam.d/login
-
-# Set failure delay before next prompt to 3 seconds
-auth      optional    pam_faildelay.so  delay=3000000
-
-# Check to make sure that the user is allowed to login
-auth      requisite   pam_nologin.so
-
-# Check to make sure that root is allowed to login
-auth      required    pam_securetty.so
-
-# Additional group memberships - disabled by default
-#auth      optional    pam_group.so
-
-# include the default auth settings
-auth      include     system-auth
-
-# check access for the user
-account   required    pam_access.so
-
-# include the default account settings
-account   include     system-account
-
-# Set default environment variables for the user
-session   required    pam_env.so
-
-# Set resource limits for the user
-session   required    pam_limits.so
-
-# Display date of last login - Disabled by default
-#session   optional    pam_lastlog.so
-
-# Display the message of the day - Disabled by default
-#session   optional    pam_motd.so
-
-# Check user's mail - Disabled by default
-#session   optional    pam_mail.so      standard quiet
-
-# Use xauth keys (if available)
-session   optional    pam_xauth.so
-
-# include the default session and password settings
-session   include     system-session
-password  include     system-password
-
-# End /etc/pam.d/login
-EOF
-
-cat > $PKG/etc/pam.d/passwd << "EOF"
-# Begin /etc/pam.d/passwd
-
-password  include     system-password
-
-# End /etc/pam.d/passwd
-EOF
-
-cat > $PKG/etc/pam.d/su << "EOF"
-# Begin /etc/pam.d/su
-
-# always allow root
-auth      sufficient  pam_rootok.so
-auth      include     system-auth
-
-# include the default account settings
-account   include     system-account
-
-# Use xauth keys (if available)
-session   optional    pam_xauth.so
-
-# Set default environment variables for the service user
-session   required    pam_env.so
-
-# include system session defaults
-session   include     system-session
-
-# End /etc/pam.d/su
-EOF
-
-cat > $PKG/etc/pam.d/chage << "EOF"
-#Begin /etc/pam.d/chage
-
-# always allow root
-auth      sufficient  pam_rootok.so
-
-# include system defaults for auth account and session
-auth      include     system-auth
-account   include     system-account
-session   include     system-session
-
-# Always permit for authentication updates
-password  required    pam_permit.so
-
-# End /etc/pam.d/chage
-EOF
-
-for PROGRAM in chfn chgpasswd chpasswd chsh groupadd groupdel \
-    groupmems groupmod newusers useradd userdel usermod
-do
-    install -v -m644 $PKG/etc/pam.d/chage $PKG/etc/pam.d/$PROGRAM
-    sed -i "s/chage/$PROGRAM/" $PKG/etc/pam.d/$PROGRAM
-done
-
-cat > $PKG/etc/pam.d/other << "EOF"
-# Begin /etc/pam.d/other
-
-auth        required        pam_warn.so
-auth        required        pam_deny.so
-account     required        pam_warn.so
-account     required        pam_deny.so
-password    required        pam_warn.so
-password    required        pam_deny.so
-session     required        pam_warn.so
-session     required        pam_deny.so
-
-# End /etc/pam.d/other
-EOF
-
-ENV_PATH=`grep '^ENV_PATH' $PKG/etc/login.defs.new | \
-    awk '{ print $2 }' | sed 's/PATH=//'` &&
-    echo 'PATH        DEFAULT='`echo "${ENV_PATH}"`\
-    '        OVERRIDE=${PATH}' \
-    >> $PKG/etc/security/pam_env.conf &&
-unset ENV_PATH
-
-mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
-cp -a COPYING* NEWS README* TODO doc/{README*,HOWTO,WISHLIST,*.txt} \
-$PKG/usr/doc/$PKGNAME-$VERSION
-cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
-	DOCSDIR=$(echo $PKG/usr/doc/${PKGNAME}-$VERSION)
-	cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
-	touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-#----------------------------------------------------------------------
-
-if [ -d $PKG/usr/share/man ];then
-mkdir -p $PKG/usr/man
-mv $PKG/usr/share/man/* $PKG/usr/man
-rm -rf $PKG/usr/share/man
-fi
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-if [ -d $PKG/usr/share/info ];then
-mkdir -p $PKG/usr/info
-mv $PKG/usr/share/info/* $PKG/usr/info
-rm -rf $PKG/usr/share/info
-fi 
-find $PKG/usr/info -type f -exec gzip -9 {} \;
-
-mkdir -p $PKG/install
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$PKGNAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$PKGNAME: $PKGNAME (Shadow built with PAM support)
-$PKGNAME:
-$PKGNAME: Shadow built with PAM support.
-$PKGNAME: 
-$PKGNAME: 
-$PKGNAME: 
-$PKGNAME:
-$PKGNAME:
-$PKGNAME: 
-$PKGNAME: 
-$PKGNAME: 
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$PKGNAME-$VERSION/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $PKGNAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$PKGNAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File shadow-pam/4.1.4.3/src/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-      |-----handy-ruler------------------------------------------------------|
-shadow: shadow (shadow password suite)
-shadow:
-shadow: This set of login related programs utilizes an alternate, non-readable
-shadow: file to contain the actual encrypted passwords.  This is presumed to 
-shadow: increase system security by increasing the difficulty with which 
-shadow: system crackers obtain encrypted passwords.  It was written by 
-shadow: Julianne Frances Haugh and the Linux port is maintained by Tomasz
-shadow: Kloczko.
-shadow:
-shadow: This package provides 'login', which is needed to log into the system.
-shadow:

File shadow-pam/4.1.4.3/src/useradd.gz

Binary file removed.